Bug 471941 - emu10k1: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
emu10k1: module-alsa-sink.c: ALSA woke us up to write new data to the device,...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 14:16 EST by Tom London
Modified: 2011-06-27 10:01 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
ALSA Project 4339 None None None Never

  None (edit)
Description Tom London 2008-11-17 14:16:16 EST
Description of problem:
Running kernel-2.6.27.5-113.fc10.x86_64 and pulseaudio-0.9.13-6.fc10.x86_64, I get this when I disable wireless by right clicking the NetworkManager icon and un-selecting "Enable Wireless" while rhythmbox is playing ....

Nov 17 11:10:48 tlondon pulseaudio[3238]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
Nov 17 11:10:48 tlondon pulseaudio[3238]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
<<<< Many more of the above>>>

When this happens, audio pauses or repeats the same clip for about 2-3 seconds before recovering.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.13-6.fc10.x86_64

How reproducible:
Yes.....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-11-26 00:31:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Simo Sorce 2008-11-29 15:53:12 EST
I have the same output in my /var/log/messages file, I don't get sound pauses but my messages file becomes Gigabyes big (I deleted it twice already because in a few days as it reached 2GB size each time).
The message is repeated 10s of times per second (and that by itself seem a bit excessive).

Kernel 2.6.27.5-117.fc10.i686
pulseaudio 0.9.13-6.fc10


This may have started happening since I change /etc/pulse/daemon.conf to set:
default-sample-channels = 6

I needed to change this manually to be able to use my 5.1 speakers on a Sound Blaster Audigi2 card, because PA itself didn't recognize the card had 5.1 output.

05:04.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
	Subsystem: Creative Labs Device 2006
	Flags: bus master, medium devsel, latency 64, IRQ 16
	I/O ports at bcc0 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: EMU10K1_Audigy
	Kernel modules: snd-emu10k1


The situation with the log files is quite serious, it can fillup a disk in very little time, and also makes it impossible to read the messages files for other log messages as there are millions of identical messages for PA. Maybe you should consider tuning down this log message and display it only if debugging is enabled ?
Comment 3 Lennart Poettering 2008-12-08 13:30:36 EST
The Creative drivers are broken. The inform us about "readability" on the audio device, but when we query with snd_pcm_update_avail() there is actually nothing to read.

Don't buy Creative. They are uncooperative. They don't like Linux, they don't like you. So don't give them your money.
Comment 4 Knut J BJuland 2008-12-20 15:47:25 EST
I too have this problem
Comment 5 Eddie Lania 2009-01-06 03:55:09 EST
Me too (Creative Labs SB Live! EMU10k1 (rev 07)) Subsystem: Creative Labs SBLive! 5.1 Model SB0100
Comment 6 Eddie Lania 2009-01-06 04:00:43 EST
(In reply to comment #3)
> The Creative drivers are broken. The inform us about "readability" on the audio
> device, but when we query with snd_pcm_update_avail() there is actually nothing
> to read.
> 
> Don't buy Creative. They are uncooperative. They don't like Linux, they don't
> like you. So don't give them your money.

Dear Lennart,

Does this actually mean that there is nothing going to be done to solve this? I am using this soundcard for may years now in linux and never had any problem with it. Infact, I always felt like the Creative soundblaster cards were the most reliable of all. Sounds a bit strange to me.

Kind regards,

Eddie.
Comment 7 Eddie Lania 2009-01-06 04:08:58 EST
PS: Is there a way to disable this message from flooding the system messages log?
Comment 8 Eddie Lania 2009-01-06 05:14:11 EST
Dear all,

I have been able to disable this message in /etc/rsyslog.conf.

Now it no longer floods the system's message log. I consider this a work-around until a better solution has come up.

Here's how I done it (on Fedora 10):

1. As root, open the file /etc/rsyslog.conf with your editor.

2. Before the line that logs everything to /var/log/messages add a new entry like this:

:msg, contains, "module-alsa-sink.c"  ~

(do not forget the tilde)

3. Afterwards, you should have someting like below:

:msg, contains, "module-alsa-sink.c"  ~

# Log anything (except mail) of level info or higher.
# Don't log private authentication messages!
*.info;mail.none;authpriv.none;cron.none                /var/log/messages

4. Save the changes.

5. Restart rsyslog (or reboot).

6. Test it by starting some audio apps and observing your messages log. It should be clear of the annoying messages.


PS: I am not responsible for it if, after following this "work-around", your computer crashes or has other problems.

With kind regards,

Eddie.
Comment 9 Eddie Lania 2009-01-06 08:32:55 EST
I filed a bug for issues with emu10k1 and multi speaker systems which might be of interest for the same people on the CC list of this bug as well.

See https://bugzilla.redhat.com/show_bug.cgi?id=478604

I hope that some of you that have same issue in that bug as me will CC themselves to that bug too.

Sorry for my bad english.

Regards,


Eddie.
Comment 10 Marek Mahut 2009-01-25 15:30:36 EST
Having the same problem.

http://www.smolts.org/client/show/pub_5976baf7-dca1-4775-a0ef-db4cea761e45
Comment 11 Adam 2009-02-03 18:07:31 EST
Its not just Creative cards, I get the same problem on a Dell D620:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
	Subsystem: Dell Device 01c2
	Flags: bus master, fast devsel, latency 0, IRQ 21
	Memory at efffc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel
Comment 12 John Ellson 2009-02-09 18:38:33 EST
Me too.    x86_64  Latest rawhide updates.

00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio Controller (rev a2)


Plus the sound output for some applications is crackly and awful!  Last week it was ok.
Comment 13 Sajith Rathnayake 2009-02-19 22:58:35 EST
I also experiencing this on F10.
Audio: HDA Intel  
Alsa: 1.0.19-1
Kernel: 2.6.27.12-170.2.5
Comment 14 Gilboa Davara 2009-04-05 11:57:49 EDT
Seeing the same.
nVidia CK804.
2.6.27.21-170.2.56.fc10.x86_64

- Gilboa
Comment 15 Niels 2009-04-12 17:17:08 EDT
I have the same issue with an emu10k card. Interestingly it only started at the beginning of April. What changed? There was a kernel update at around the time the issue started for me (-170).
Comment 16 Niels 2009-04-16 04:28:06 EDT
It's getting worse every day. While at my last entry it added about 5 lines per second it now is over a dozen lines. My /var/log/messages grows by over 2GB each day due to this bug.
Comment 17 Eddie Lania 2009-05-13 13:43:31 EDT
On fedora 11, which is my current linux version, I only see this message once in the messages log after booting the system. After that the message does not occur anymore.
Comment 18 Mark Watts 2009-05-19 07:59:37 EDT
Using the on-board audio on a Dell Precision 670 (Fedora 10), I have to use the tsched=0 fix to revert to interrupt-based audio. Doing this causes many of these log entries to be dumped into syslog.

00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)

I'm using the rsyslog rule given above to mitigate the problem.
Comment 19 Michael E Brown 2009-06-17 11:42:57 EDT
I have seen this message on my Dell D620 on F10. Upgraded to F11 today and I continue to see this message in my syslog.
Comment 20 Arnaud Bergmann 2009-07-15 16:39:08 EDT
I have the same problem on my laptop Lenovo 3000N200 with F10. I had a message each seconds while I was watching a dvd. I noticed on the log file that the messages stopped after ejecting it. I was watching it with VLC.
Sound controller: Intel

Message:
Jul 15 00:58:35 Dash pulseaudio[2929]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
Comment 21 Tethys 2009-07-20 12:59:11 EDT
I'm getting this too. The subject line should have the "emu10k1" removed,
because I (and others) are getting this with other chips. For me:

00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio Controller (rev a2)

I've just upgraded from F9 to F10, and now get intermittent skips during
sound playback, each time accompanied by the log message:

Jul 20 17:44:55 mrburns pulseaudio[2755]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.

http://www.smolts.org/client/show/pub_2a97004e-5c74-42f5-9952-9058b621ba90
Comment 22 Robert Story 2009-09-05 19:11:37 EDT
I'm getting it with the intel chip, up-to-date F10:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
Comment 23 Bug Zapper 2009-11-18 03:53:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Niels 2009-11-26 04:56:10 EST
I don't think I got this after upgrading to F11.
Comment 25 Bug Zapper 2009-12-18 01:52:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 26 Tom London 2009-12-18 09:33:40 EST
I'm still seeing this with 

kernel-2.6.32.1-11.fc13.x86_64
pulseaudio-0.9.21-3.fc13.x86_64

The text of the message has slightly changed, but looks the same to me....

Dec 18 06:14:34 tlondon pulseaudio[2007]: ratelimit.c: 629 events suppressed
Dec 18 06:17:57 tlondon pulseaudio[2007]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
Dec 18 06:17:57 tlondon pulseaudio[2007]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Dec 18 06:17:57 tlondon pulseaudio[2007]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

Reopening against Rawhide.

System is Thinkpad X200.  Below is output out 'lspci'.

Other info to provide?

00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
Comment 27 Gilboa Davara 2009-12-20 13:32:02 EST
Still seeing it in F12.
Updated to latest KDE (kde-redhat, 4.3.4) and the latest xine.
Notice that the sound no longer works.
Check the process list, pulse was no longer alive. (No abrt).

Restarted pulse from konsole, and got the following message:

$ pulseaudio
E: bluetooth-util.c: Error from ListDevices reply: org.freedesktop.DBus.Error.UnknownMethod
E: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!
E: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_emu10k1'. Please report this issue to the ALSA developers.
E: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

Beyond a problem with KDE itself, the konsole'd pulse seems to be working just fine. (CPU usage seems to be reasonable - ~6% on a Xeon E5335)

- Gilboa
Comment 28 Tom London 2009-12-20 14:37:41 EST
So, is this the "same issue" with 'snd_hda_intel' and 'snd_emu10k1', or two separate issues?

I've been seeing this consistently with all kernels (and all other rawhide updates) since the original report (18 November 2008).
Comment 29 Gilboa Davara 2009-12-21 04:25:47 EST
The original bug was against emu10k1.
The snd_hda_intel looks like a separate (?) issue - that share the same symptoms - so it was added to the bug report. 

- Gilboa
Comment 30 Gilboa Davara 2009-12-21 04:27:05 EST
Uggh. Let me be rephrase - if this is indeed a driver issue, we are talking about two separate issues.
If it's a PA issue - both the hda_intel and the emu10k1 are the same issue...
Comment 31 Bug Zapper 2010-03-15 08:09:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Raymond 2010-09-17 22:15:02 EDT
did your emu10k1 get the same error in https://bugzilla.redhat.com/show_bug.cgi?id=608936 ?

I: alsa-sink.c: Starting playback.
I: (alsa-lib)pcm_hw.c: SNDRV_PCM_IOCTL_START failed (-77)

 http://www.alsa-project.org/alsa-doc/alsa-lib/pcm.html

Start threshold

The start threshold parameter is used to determine the start point in stream. For playback, if samples in ring buffer is equal or greater than the start threshold parameters and the stream is not running, the stream will be started automatically from the device. For capture, if the application wants to read count of samples equal or greater then the stream will be started. If you want to use explicit start (snd_pcm_start), you can set this value greater than ring buffer size (in samples), but use the constant MAXINT is not a bad idea.


D: alsa-util.c:   start_threshold  : -1
D: alsa-util.c:   stop_threshold   : 4962966789362286592


If PA server use MAXINT as start_threshold , the stream will not start automatically and any error returned by snd_pcm_start is fatal
Comment 33 Bug Zapper 2011-06-02 14:24:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 34 Bug Zapper 2011-06-27 10:01:48 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.